Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227862 - Trac does not work with mod_python if python-sqlite2 is installed
Summary: Trac does not work with mod_python if python-sqlite2 is installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: trac
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joost Soeterbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 17:25 UTC by Raoul
Modified: 2008-05-06 19:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:11:42 UTC


Attachments (Terms of Use)

Description Raoul 2007-02-08 17:25:21 UTC
trac version: 0.10.3-1.fc5

I have wasted the whole day with this assuming it was a configuration issue, but
it seems that there is some problem with its dependencies or with itself.

How to test:

Assuming that an apache vhost is set up and mod_python is enabled,

- create the trac environment
    trac-admin /home/test/public_html/myprogram initenv
- give the apache user write permission in the whole trac environment
- add the following to the virtual host context in the apache config

<Location /myprogram>
   SetHandler mod_python
   PythonHandler trac.web.modpython_frontend 
   PythonOption TracEnv /home/test/public_html/myprogram
   PythonOption TracUriRoot /myprogram
   PythonDebug on
</Location>

- visit http://myserver/myprogram  -->  blank page

- check apache's main thread's error log:

[Thu Feb 08 19:18:45 2007] [notice] mod_python: (Re)importing module
'trac.web.modpython_frontend'
[Thu Feb 08 19:18:48 2007] [notice] child pid 3917 exit signal Segmentation
fault (11)

Nobody has tested this before, at least if it can run?

Comment 1 Will Woods 2007-02-08 17:28:38 UTC
Is this on FC5 or FC6? You filed the bug against FC6 but the package version
says FC5.

Comment 2 Raoul 2007-02-08 17:32:18 UTC
I am sorry. It is the fc5 package.


Comment 3 Raoul 2007-02-08 18:09:53 UTC
I have double checked it.

It works in FC6.

It does not work in FC5. I don't know what the problem might be.


Comment 4 Raoul 2007-02-09 12:12:01 UTC
Hello again it seems that the problem was caused by having installed both sqlite
2.x and 3.x at the same time.

A "yum remove python-sqlite2 sqlite2" , so that sqlite 3.x is only available to
the system solved the problem and the trac website worked with mod_python.

I should say that I upgraded to fedora 6 and that I use virtualhosts in apache
(in case this info is needed). Having both sqlite versions installed caused
problems in FC6 too.

PS: I am sorry for my first angry post, but I have wasted too many hours with
this issue.


Comment 5 Raoul 2007-02-18 03:15:43 UTC
The python sqlite2 bindings cause all the trouble. Trac works perfectly with
pysqlite 1.x

Problematic software (it didn't work in a custom test python web application i
wrote): python-sqlite2 1:2.3.2-2



Comment 6 Bug Zapper 2008-04-04 06:09:18 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 7 Bug Zapper 2008-05-06 19:11:40 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.